Security Lab

Уязвимость при обработке ICMP6 пакетов в OpenBSD

Дата публикации:14.03.2007
Дата изменения:02.11.2007
Всего просмотров:2724
Опасность:
Высокая
Наличие исправления: Да
Количество уязвимостей:1
CVE ID: Нет данных
Вектор эксплуатации: Удаленная
Воздействие: Отказ в обслуживании
Компрометация системы
CWE ID: Нет данных
Наличие эксплоита: Нет данных
Уязвимые продукты: OpenBSD 3.x
OpenBSD 4.0
Уязвимые версии: OpenBSD 3.9 и 4.0, возможно более ранние версии.

Описание:
Уязвимость позволяет удаленному пользователю вызвать отказ в обслуживании или выполнить произвольный код на целевой системе.

Уязвимость существует из-за ошибки в "mbuf" при обработке ICMP6 пакетов. Удаленный пользователь может с помощью специально сформированного ICMP6 пакета вызвать повреждение памяти и аварийно завершить работу системы или выполнить произвольный код на целевой системе.

URL производителя: www.openbsd.org

Решение: Установите исправление с сайта производителя.

OpenBSD 3.9:
ftp://ftp.openbsd.org/pub/OpenBSD/patches/3.9/common/020_m_dup1.patch

OpenBSD 4.0:
ftp://ftp.openbsd.org/pub/OpenBSD/patches/4.0/common/010_m_dup1.patch

Ссылки: OpenBSD ICMPV6 Packet Handling Remote Buffer Overflow Exploit